SECTIONS
{
	/*	Linkers like to insert the ELF headers into the segments themselves
		Page-aligning the base address minimzies the likelihood of this happening */
	. = 0x10000;
	.text : ALIGN(0x1000) { *(.text) *(.rodata) }
	.data : ALIGN(0x1000) { *(.data) *(.bss) }
	
	/DISCARD/ : {
		*(.note.GNU-stack)
		*(.gnu_debuglink)
		*(.gnu.lto_*)
		*(.note.gnu.build-id)
		*(.eh_frame_hdr)
		*(.eh_frame_entry .eh_frame_entry.*)
		*(.eh_frame)
		*(.eh_frame.*)
		*(.interp)
	}
}
