#pragma once

#include"usb.h"
#include<stddef.h>
#include<stdint.h>

typedef struct {
	uint32_t link;
	uint32_t control;
	uint32_t token;
	uint32_t buffer;
} TD;

typedef struct {
	uint32_t link;
	uint32_t element;
} QH;

typedef struct {
	QH masterQueue;
	uint32_t io;
	uint32_t *frameList;
} __attribute__((aligned(16))) HC;

int HostSendBulk(USBDevice *dev, size_t maxPacketSize, int *toggle, int endpoint, void *buf, size_t len);
int HostSendRequest(USBDevice *dev, void *buf, USBStandardRequest req);