#pragma once

#include"../std.h"
#include"../ps2/api.h"
#include"k3menu.h"

#define SHIFT_LEFT 1
#define SHIFT_RIGHT 2
#define ALT_LEFT 1
#define ALT_RIGHT 2
#define SYS_LEFT 1
#define SYS_RIGHT 2

typedef int(*GCMDFunc)(void*, const DynStr16 *line);
struct Command {
	Str16 *name;
	void *ud;
	GCMDFunc run;
};
struct CommandList {
	size_t count;
	struct Command *array;
};

/*struct GWindow {
	struct k3MObj;
	
	DynStr16 *name;
	size_t owner;
	struct CommandList cmds;
};
int gwindow_regcmd(struct GWindow*, Str16 *cmd, void *ud, GCMDFunc handler);*/

DynStr16 *g_dynstr16_new(uint16_t cap, uint16_t len, const void *data);
DynStr16 *g_dynstr16_append(DynStr16*, uint16_t len, const void *data);
void g_dynstr16_free(DynStr16*);

Str16 *g_str16_new(uint16_t len, const void *data);
