#ifndef _SCHEDULER_H
#define _SCHEDULER_H

#include"process.h"
#include<stddef.h>

void scheduler_init();
void scheduler_switch();
Process *scheduler_spawn();
size_t scheduler_create_handle(uint16_t ownerId, Process *child);

Process *scheduler_find(uint16_t procId);

#define MAX_MINIPRIORITY 255
#define TOTAL_PRIORITIES 16
#define PRIORITY_UNIT ((MAX_MINIPRIORITY + 1) / TOTAL_PRIORITIES)

//extern size_t scheduler_ProcessCount;
extern Process *scheduler_ProcessZone;
extern Process *scheduler_ProcessQueues[TOTAL_PRIORITIES];

#endif
